JavaScript/jQuery Lookup - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Lookup features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Lookup component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the Lookup component:

Key Action
Alt + ↓ Opens the drop-down menu.
Enter or Space If the drop-down menu is closed, opens it; otherwise selects the current item.
Esc Closes the drop-down menu.
↑ / ↓ If the drop-down menu is opened, moves focus to the previous/next item.
Tab / Shift + Tab If the drop-down menu is opened, moves focus to the list / search field.
Page Up / Page Down Moves focus to the first/last menu item on the page.
Home / End Moves focus to the first/last menu item.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const lookup = $("#lookupContainer").dxLookup("instance");
  • lookup.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • lookup.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The Lookup component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use label.

React Lookup - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the Lookup features that you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The Lookup component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the Lookup component:

Key Action
Alt + ↓ Opens the drop-down menu.
Enter or Space If the drop-down menu is closed, opens it; otherwise selects the current item.
Esc Closes the drop-down menu.
↑ / ↓ If the drop-down menu is opened, moves focus to the previous/next item.
Tab / Shift + Tab If the drop-down menu is opened, moves focus to the list / search field.
Page Up / Page Down Moves focus to the first/last menu item on the page.
Home / End Moves focus to the first/last menu item.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Lookup } from 'devextreme-react/lookup';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.lookupRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Lookup ref={this.lookupRef} />
  • );
  • }
  •  
  • get lookup() {
  • return this.lookupRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.lookup.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.lookup.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The Lookup component supports screen readers and complies to WAI-ARIA standards.

To improve accessibility, use the inputAttr property to specify aria-label for the component. You do not need to specify aria-label if you use label.